Plugins under 2.x and 3.0 plans

• Mar 26, 2017 - 19:58

This is probably in some posting somewhere but I could not see it readily...

I was about to try to learn enough about plugins to solve a minor issue I have with measure numbering. I notice that plugins change completely from 1.x to 2.x (js to qml).

Will 2.x plugins be compatible with 3.x? I.e. am I wasting time writing a 2.x plugin with 3.x in progress (I realize it is hardly imminent).

Related: is it still true the "how to get started" is basically look at existing plugins, there's no intro page, just object documentation? That's fine, I would just hate to miss if there's a tutorial floating around I didn't see.


Comments

As far as wasting time is concerned, realistically from an outsiders point of view 3.0 appears to be a year from release unless some major whip cracking occurs. No one knows when 3.0 will be released. You decide if a year's worth of use out of the plug in makes it worth your while.

In reply to by Nicolas

Thanks, I will. And thanks for mentioning that specifically as I spent an hour or so last night trying to figure out where the measure number went (there's a plugin in the library that should show them and also repeats, but it now does neither, and I guess that explains why).

If you haven't already done so, it would be worth describing your issue with measure numbers - is possible there is a more direct solution that doesn't require a plugin.

Do you still have an unanswered question? Please log in first to post your question.